{% sw_extends '@Storefront/storefront/layout/footer/footer.html.twig' %}

{% block layout_footer_navigation %}
    <div id="footerColumns"
         class="row footer-columns"
         data-collapse-footer="true">
        {% block layout_footer_navigation_hotline %}
            {% if not theme_config('sysea-disable-service-hotline') %}
                <div class="col-md-3 footer-column js-footer-column">
                    {% block layout_footer_navigation_hotline_headline %}
                        {{ parent() }}
                    {% endblock %}

                    {% block layout_footer_navigation_hotline_content %}
                        <div id="collapseFooterHotline"
                             class="footer-column-content collapse js-footer-column-content footer-contact"
                             aria-labelledby="collapseFooterHotlineTitle">
                            <div class="footer-column-content-inner">
                                <p class="footer-contact-hotline">
                                    {{ 'footer.serviceHotline'|trans|sw_sanitize }}
                                </p>
                                <div class="footer-contact-form">
                                    {{ 'footer.serviceContactLink'|trans({
                                        '%url%': path('frontend.cms.page', { id: config('core.basicInformation.contactPage') })
                                    })|raw }}
                                </div>
                            </div>
                        </div>
                    {% endblock %}
                </div>
            {% endif %}
        {% endblock %}

        {% block layout_footer_navigation_columns %}
            {% for root in page.footer.navigation.tree %}
                {% block layout_footer_navigation_column %}
                    <div class="col-md-3 footer-column js-footer-column">
                        {% block layout_footer_navigation_information_headline %}
                            {{ parent() }}
                        {% endblock %}

                        {% block layout_footer_navigation_information_content %}
                            {{ parent() }}
                        {% endblock %}
                    </div>
                {% endblock %}
            {% endfor %}
        {% endblock %}

        {% block sysea_layout_footer_shipping_column %}
            <div class="col-md-3 footer-column js-footer-column">
                <div class="footer-column-headline footer-headline js-collapse-footer-column-trigger"
                {{ dataBsTargetAttr }}="#collapseFooterTitleShipping"
                aria-expanded="true"
                aria-controls="collapseFooterShipping">
                    {{ "sysea.footer.shippingHeadline"|trans }}
                    <div class="footer-column-toggle">
                        <span class="footer-plus-icon">
                            {% sw_icon 'plus' %}
                        </span>
                        <span class="footer-minus-icon">
                            {% sw_icon 'minus' %}
                        </span>
                    </div>
                </div>

                <div id="collapseFooterShipping"
                     class="footer-column-content collapse js-footer-column-content"
                     aria-labelledby="collapseFooterTitleShipping">
                    <div class="footer-column-content-inner">
                        <div class="footer-logos">
                            {% block layout_footer_shipping_logos %}
                                {% for shippingMethod in page.salesChannelShippingMethods %}
                                    {% block layout_footer_shipping_logo %}
                                        {% if shippingMethod.media %}
                                            <div class="footer-logo is-shipping">
                                                {% sw_thumbnails 'footer-shipping-image-thumbnails' with {
                                                    media: shippingMethod.media,
                                                    sizes: {
                                                        'default': '100px'
                                                    },
                                                    attributes: {
                                                        'class': 'img-fluid footer-logo-image',
                                                        'alt': (shippingMethod.media.translated.alt ?: shippingMethod.translated.name),
                                                        'title': (shippingMethod.media.translated.title ?: shippingMethod.translated.name)
                                                    }
                                                } %}
                                            </div>
                                        {% endif %}
                                    {% endblock %}
                                {% endfor %}
                            {% endblock %}
                        </div>
                    </div>
                </div>
            </div>
        {% endblock %}

        {% block sysea_layout_footer_payment_column %}
            <div class="col-md-3 footer-column js-footer-column">
                <div class="footer-column-headline footer-headline js-collapse-footer-column-trigger"
                {{ dataBsTargetAttr }}="#collapseFooterTitlePayment"
                aria-expanded="true"
                aria-controls="collapseFooterPayment">
                {{ "sysea.footer.paymentHeadline"|trans }}
                    <div class="footer-column-toggle">
                        <span class="footer-plus-icon">
                            {% sw_icon 'plus' %}
                        </span>
                        <span class="footer-minus-icon">
                            {% sw_icon 'minus' %}
                        </span>
                    </div>
                </div>

                <div id="collapseFooterPayment"
                     class="footer-column-content collapse js-footer-column-content"
                     aria-labelledby="collapseFooterTitlePayment">
                    <div class="footer-column-content-inner">
                        <div class="footer-logos">
                            {% block layout_footer_payment_logos %}
                                {% for paymentMethod in page.salesChannelPaymentMethods %}
                                    {% block layout_footer_payment_logo %}
                                        {% if paymentMethod.media %}
                                            <div class="footer-logo is-payment">
                                                {% sw_thumbnails 'footer-payment-image-thumbnails' with {
                                                    media: paymentMethod.media,
                                                    sizes: {
                                                        'default': '100px'
                                                    },
                                                    attributes: {
                                                        'class': 'img-fluid footer-logo-image',
                                                        'alt': (paymentMethod.media.translated.alt ?: paymentMethod.translated.name),
                                                        'title': (paymentMethod.media.translated.title ?: paymentMethod.translated.name)
                                                    }
                                                } %}
                                            </div>
                                        {% endif %}
                                    {% endblock %}
                                {% endfor %}
                            {% endblock %}
                        </div>
                    </div>
                </div>
            </div>
        {% endblock %}

        {% block sysea_layout_footer_badges_column %}
            {% if theme_config('sysea-show-badges') %}
                <div class="col-md-6 footer-column js-footer-column">
                    <div class="footer-column-headline footer-headline js-collapse-footer-column-trigger"
                    {{ dataBsTargetAttr }}="#collapseFooterTitleBadges"
                    aria-expanded="true"
                    aria-controls="collapseFooterBadges">
                        {{ "sysea.footer.badgesHeadline"|trans }}
                        <div class="footer-column-toggle">
                            <span class="footer-plus-icon">
                                {% sw_icon 'plus' %}
                            </span>
                            <span class="footer-minus-icon">
                                {% sw_icon 'minus' %}
                            </span>
                        </div>
                    </div>

                    <div id="collapseFooterBadges"
                         class="footer-column-content collapse js-footer-column-content"
                         aria-labelledby="collapseFooterTitleBadges">
                        <div class="footer-column-content-inner">
                            {% sw_include '@Storefront/storefront/layout/footer/sysea-footer-badges.html.twig' %}
                        </div>
                    </div>
                </div>
            {% endif %}
        {% endblock %}
    </div>

    {% block sysea_layout_footer_social_media %}
        <div class="row text-center">
            <div class="col-12">
                {% sw_include '@Storefront/storefront/layout/footer/sysea-footer-social-media.html.twig' %}
            </div>
        </div>
    {% endblock %}
{% endblock %}

{% block layout_footer_payment_shipping_logos %}
{% endblock %}

{% block layout_footer_bottom %}
    <div class="footer-bottom text-center">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    {% block layout_footer_vat %}
                        <div class="footer-vat">
                            {% if context.taxState == "gross" %}
                                <p>
                                    {{ "footer.includeVat"|trans({
                                        '%url%': path('frontend.cms.page',{ id: config('core.basicInformation.shippingPaymentInfoPage') })
                                    })|raw }}
                                </p>
                            {% else %}
                                <p>
                                    {{ "footer.excludeVat"|trans({
                                        '%url%': path('frontend.cms.page',{ id: config('core.basicInformation.shippingPaymentInfoPage') })
                                    })|raw }}
                                </p>
                            {% endif %}
                        </div>
                    {% endblock %}

                </div>
            </div>
        </div>
    </div>
{% endblock %}